Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.login
Interface UserLoginControl

All Superinterfaces:
  weblogic.jws.control.Control, com.bea.control.Control, Serializable

public interface UserLoginControl
extends weblogic.jws.control.Control

This control:

- is used by the portal GUI components to send authentication information to the portal site
- allows a site visitor to log in to the portal
- gives some indication as to whether the login is successful by providing access to the user's profile information, and throwing an exception otherwise.

It does not register the user

See Also:
  `ProfileWrapper`

Nested Class Summary

Nested classes inherited from class com.bea.control.Control
`com.bea.control.Control.Callback`

Method Summary
`ProfileWrapper` | `login(String username, String password, HttpServletRequest request)` Log this user into the Portal application
`void` | `logout(HttpServletRequest request)` Log out current user

Method Detail

### login

    public ProfileWrapper login(String username,
                                String password,
                                HttpServletRequest request)
                         throws P13nControlException

  Log this user into the Portal application

  Parameters:
    `username` - The user's login name
    `password` - The user's password
  Returns:
    a ProfileWrapper representing the user's stored information
  Throws:
    `P13nControlException` - if user cannot be logged in, or if there is a remote error on the UserManager EJB authenticating or retrieving user profile.

### logout

    public void logout(HttpServletRequest request)

  Log out current user

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved